SystemOrganization addCategory: #'Xtreams-HttpTests'!

TestCase subclass: #XTChunkingWriteStreamTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Xtreams-HttpTests'!

!XTChunkingWriteStreamTest methodsFor: 'as yet unclassified' stamp: 'cwp 3/16/2011 00:03'!
chunk: aString
	^ String new writing
		write: (aString size printString);
		cr;
		lf;
		write: aString;
		cr;
		lf;
		conclusion! !

!XTChunkingWriteStreamTest methodsFor: 'as yet unclassified' stamp: 'cwp 3/16/2011 10:50'!
testClose
	| compare stream |
	compare := ((self chunk: 'abcdef'), (self chunk: '')) reading.
	stream := [:ch | self assert: ch = compare get] writing chunking.
	stream 
		write: 'abc';
		write: 'def';
		close.
	self should: [compare get] raise: Incomplete.
	! !

!XTChunkingWriteStreamTest methodsFor: 'as yet unclassified' stamp: 'cwp 3/16/2011 09:27'!
testMultipleWrites
	| compare stream |
	compare := (self chunk: 'abcdef') reading.
	stream := [:ch | self assert: ch = compare get] writing chunking.
	stream 
		write: 'abc';
		write: 'def';
		flush.
	self should: [compare get] raise: Incomplete.
	! !

!XTChunkingWriteStreamTest methodsFor: 'as yet unclassified' stamp: 'cwp 3/16/2011 10:30'!
testOverflow
	| compare stream |
	compare := (self chunk: 'abcdef') reading.
	stream := [:ch | self assert: ch = compare get] writing chunking.
	stream instVarNamed: 'buffer' put: (XTBuffer on: (String new: 6)).
	stream 
		write: 'abc';
		write: 'defghi'.
	self should: [compare get] raise: Incomplete.
	compare := (self chunk: 'ghi') reading.
	stream flush.
	self should: [compare get] raise: Incomplete.! !

!XTChunkingWriteStreamTest methodsFor: 'as yet unclassified' stamp: 'cwp 3/16/2011 01:07'!
testShortChunk
	| compare stream |
	compare := (self chunk: 'abc') reading.
	stream := [:ch | self assert: ch = compare get] writing chunking.
	stream 
		write: 'abc';
		flush.
	self should: [compare get] raise: Incomplete.
	! !
